/*
 * Class WEL_MIN_MAX_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_785 [] = {0xFF01,1551,784,0xFFFF};
static const EIF_TYPE_INDEX egt_2_785 [] = {0xFF01,784,0xFFFF};
static const EIF_TYPE_INDEX egt_3_785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_785 [] = {0xFF01,784,0xFFFF};
static const EIF_TYPE_INDEX egt_6_785 [] = {0xFF01,784,0xFFFF};
static const EIF_TYPE_INDEX egt_7_785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_785 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_785 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_785 [] = {0xFF01,784,0xFFFF};
static const EIF_TYPE_INDEX egt_13_785 [] = {0xFF01,1374,0xFFFF};
static const EIF_TYPE_INDEX egt_14_785 [] = {0xFF01,1374,0xFFFF};
static const EIF_TYPE_INDEX egt_15_785 [] = {0xFF01,1374,0xFFFF};
static const EIF_TYPE_INDEX egt_16_785 [] = {0xFF01,1374,0xFFFF};


static const struct desc_info desc_785[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_785), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_785), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_785), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_785), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_785), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_785), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_785), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_785), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_785), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_785), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_785), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_785), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0621 /*784*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_785), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_785), 18262, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_785), 18263, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_785), 18264, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_785), 18265, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18266, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18271, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18273, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18257, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18258, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18261, 0xFFFFFFFF},
};
void Init785(void)
{
	IDSC(desc_785, 0, 784);
	IDSC(desc_785 + 1, 1, 784);
	IDSC(desc_785 + 32, 791, 784);
	IDSC(desc_785 + 34, 1359, 784);
	IDSC(desc_785 + 44, 1308, 784);
	IDSC(desc_785 + 54, 836, 784);
}


#ifdef __cplusplus
}
#endif
